Skip to main content
Python
from openlayer import Openlayer

client = Openlayer()
client.workspaces.invites.list(
  workspace_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
)
import Openlayer from 'openlayer';

const openlayer = new Openlayer();
await openlayer.workspaces.invites.list(
  {workspaceId: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"}
)
package main

import (
  "context"

  "github.com/openlayer-ai/openlayer-go"
  "github.com/openlayer-ai/openlayer-go/option"
)

client := openlayer.NewClient()
client.Workspaces.Invites.List(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
import com.openlayer.api.client.OpenlayerClient;
import com.openlayer.api.client.okhttp.OpenlayerOkHttpClient;
import com.openlayer.api.models.WorkspaceInvitesListParams;
import com.openlayer.api.models.WorkspaceInvitesListResponse;

OpenlayerClient client = OpenlayerOkHttpClient.fromEnv();

WorkspaceInvitesListParams params = WorkspaceInvitesListParams.builder().build();
WorkspaceInvitesListResponse response = client.workspaces().invites().list(params);
curl --request GET \
  --url https://api.openlayer.com/v1/workspaces/182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e/invites \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dateCreated": "2023-11-07T05:31:56Z",
      "creator": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "username": "user123",
        "name": "Rishab Ramanathan"
      },
      "workspace": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "Openlayer",
        "slug": "openlayer",
        "dateCreated": "2023-11-07T05:31:56Z",
        "memberCount": 1
      },
      "email": "user@email.com"
    }
  ]
}
{
  "code": 123,
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.

Path Parameters

workspaceId
string<uuid>
required

The workspace id.

Query Parameters

page
integer
default:1

The page to return in a paginated query.

Required range: x >= 1
perPage
integer
default:25

Maximum number of items to return per page.

Required range: 1 <= x <= 100

Response

Status OK.

items
object[]
required